
/**
 * Driver for Game Application
 * 
 * @author JP Vergara 
 * @version 29 April 2013
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class GameFrame extends JFrame
{
   private GameCanvas gc;
   private JButton reset;
   
   public GameFrame()
   {
      setSize( 1000, 700 );
      final Container c = getContentPane();
      c.setLayout( new BorderLayout() );
      gc = new GameCanvas();
      c.add( gc, "Center" );
/*      reset = new JButton("Reset");
      c.add( reset, "South" );
      reset.addActionListener( new ActionListener()
          {
              public void actionPerformed( ActionEvent ae )
              {
                  gc = new GameCanvas();
                  gc.repaint();
              }
          }); */
   }

   public static void main( String args[] )
   {
      JFrame f = new GameFrame();
      f.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
      f.setVisible(true);
   }

}
